summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-04-12 09:37:41 +0200
committerHans de Graaff <graaff@gentoo.org>2019-04-12 15:58:27 +0200
commit960ce6b5c0dc5c56a031bf5db2434c163a6657b8 (patch)
tree661f4de9a505f4fc31e27f4105362749a9d1476b /www-apps
parentwww-apps/jekyll-coffeescript: add 1.2.2 (diff)
downloadgentoo-960ce6b5c0dc5c56a031bf5db2434c163a6657b8.tar.gz
gentoo-960ce6b5c0dc5c56a031bf5db2434c163a6657b8.tar.bz2
gentoo-960ce6b5c0dc5c56a031bf5db2434c163a6657b8.zip
www-apps/jekyll-watch: add 2.2.1
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/jekyll-watch/Manifest1
-rw-r--r--www-apps/jekyll-watch/jekyll-watch-2.2.1.ebuild27
2 files changed, 28 insertions, 0 deletions
diff --git a/www-apps/jekyll-watch/Manifest b/www-apps/jekyll-watch/Manifest
index 6b256bc8bbf..b1112771d07 100644
--- a/www-apps/jekyll-watch/Manifest
+++ b/www-apps/jekyll-watch/Manifest
@@ -1 +1,2 @@
DIST jekyll-watch-2.1.2.tar.gz 15966 BLAKE2B 877935b518f887aa58987942cf03b337f41f142947416386410c3924880738e64b4aa05a06eba2089635d417e329a72b0602112ff19070ea203cf07bb9988ce7 SHA512 a411f354e1971727d1fabe6fe1fc6e9f889a0cbc9cf253e8dbee87c66f7a8f3ca1e75cdad242c9235e93ce45983939ded2a439d2a8339bfc70bc55b5b2eaff4a
+DIST jekyll-watch-2.2.1.tar.gz 16631 BLAKE2B 2311802227206b76d1f7b18ccc6360514164c6148f549490bd4df69e56e4d7a8c944c828e950bb156929081ea8ac15bdc37099eba5af3e0f3e1c20b403828f60 SHA512 55867bedf0f453aad7df267d21cc2a49857916b51ed70e727718c9ed18dedd474bc45c446abcbc803ab4b8b26f8afb1f0e05e6655441186788fbace869c74b6d
diff --git a/www-apps/jekyll-watch/jekyll-watch-2.2.1.ebuild b/www-apps/jekyll-watch/jekyll-watch-2.2.1.ebuild
new file mode 100644
index 00000000000..30d6fea1b99
--- /dev/null
+++ b/www-apps/jekyll-watch/jekyll-watch-2.2.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.md History.markdown"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Rebuild your Jekyll site when a file changes with the --watch switch"
+HOMEPAGE="https://github.com/jekyll/jekyll-watch"
+SRC_URI="https://github.com/jekyll/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/listen:3"
+ruby_add_bdepend "test? ( >=www-apps/jekyll-2 )"
+
+all_ruby_prepare() {
+ rm Rakefile || die
+}